Notifications

List NotificationV2s

GET
/notifications

Retrieve all of the current user's notifications.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

limit?integer

The maximum number of entries to get.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/notifications"
[
  {
    "data": {
      "announcementTitle": "string",
      "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
      "groupName": "string"
    },
    "type": "group.announcement",
    "canDelete": true,
    "category": "event",
    "createdAt": "2019-08-24T14:15:22Z",
    "details": {
      "emojiId": "default_angry",
      "emojiVersion": 0,
      "inventoryItemId": "inv_10bce5b0-2d2b-44e0-900d-db6534615162"
    },
    "displayData": {},
    "expiresAt": "2019-08-24T14:15:22Z",
    "expiryAfterSeen": 0,
    "id": "string",
    "ignoreDND": true,
    "imageUrl": "string",
    "isSystem": true,
    "link": "event:grp_00000000-0000-0000-0000-000000000000,cal_00000000-0000-0000-0000-000000000000",
    "linkText": "string",
    "linkTextKey": "string",
    "message": "string",
    "messageKey": "string",
    "receiverUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "relatedNotificationsId": "cal_00000000-0000-0000-0000-000000000000",
    "requireSeen": true,
    "responses": [
      {
        "data": "string",
        "icon": "ban",
        "text": "string",
        "textKey": "string",
        "type": "accept"
      }
    ],
    "seen": true,
    "senderUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "senderUsername": "string",
    "title": "string",
    "titleKey": "string",
    "updatedAt": "2019-08-24T14:15:22Z",
    "version": 2
  }
]
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}